Subject: [bug#42357] [PATCH] add package definition for Nextcloud Desktop

From: Tim Magee <[email-masked]>
Date: Wed, 15 Jul 2020 12:57:46 -0400

> I guess you first added NextCloud to sync.scm, then decided to put it
in its own file (or maybe because I told you so .  Don't forget to
delete all the previous copyright lines (unless you borrowed code from
elsewhere), and packages other than nextcloud-desktop.

What I did is wholesale copy the entire 'sync.scm' file thinking that
the entire file was necessary for ownCloud in particular. I then copied
modified the ownCloud definition until Nextcloud would compile. I will
have to admit that I was a bit confused as to why the ownCloud package
was in a file called 'sync.scm' but I assumed that there was good reason
somewhere. Now that I know that multiple packages can be declared in the
same file, it seems that it would make more sense to place Nextcloud in
sync.scm as well.

Would placing Nextcloud inside sync.scm be a better idea?